Package org.optaplanner.core.impl.score.stream.bavet.uni

## Class BavetAbstractUniNode<A>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode
  - - org.optaplanner.core.impl.score.stream.bavet.uni.BavetAbstractUniNode<A>

- All Implemented Interfaces:
    `BavetNode`
  Direct Known Subclasses:
    `BavetFilterUniNode`, `BavetFromUniNode`, `BavetGroupBridgeUniNode`, `BavetJoinBridgeUniNode`, `BavetScoringUniNode`

      public abstract class BavetAbstractUniNode<A>
      extends BavetAbstractNode

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode

      `nodeIndex, session`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BavetAbstractUniNode​(BavetConstraintSession session, int nodeIndex)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addChildNode​(BavetAbstractUniNode<A> childNode)` |
    `abstract BavetAbstractUniTuple<A>` | `createTuple​(BavetAbstractUniTuple<A> parentTuple)` |
    `List<BavetAbstractUniNode<A>>` | `getChildNodeList()` |

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode

      `getNodeIndex, refresh`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BavetAbstractUniNode

          public BavetAbstractUniNode​(BavetConstraintSession session,
                                      int nodeIndex)

  - ### Method Detail

    - #### addChildNode

          public void addChildNode​(BavetAbstractUniNode<A> childNode)

    - #### getChildNodeList

          public List<BavetAbstractUniNode<A>> getChildNodeList()

    - #### createTuple

          public abstract BavetAbstractUniTuple<A> createTuple​(BavetAbstractUniTuple<A> parentTuple)